<VirtualHost *:80>
	ServerAdmin webmaster@localhost
	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined

	RewriteEngine on
	RewriteCond %{HTTP:Upgrade}   =websocket    [NC]
	RewriteRule /(.*)     ws://localhost:1880/$1 [P,L]

	ProxyPreserveHost on
	ProxyRequests off
	ProxyVia off

	<Proxy *>
	    Order deny,allow
	    Require all granted
	</Proxy>

	ProxyPass / http://127.0.0.1:1880/
	ProxyPassReverse / http://127.0.0.1:1880/
</VirtualHost>
